Skip to main content
GET
https://{tenantDomain}/api/v2
/
attack-protection
/
bot-detection
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.AttackProtection.BotDetection.GetAsync();
    }

}
{
  "allowlist": [
    "127.0.0.1"
  ],
  "monitoring_mode_enabled": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Bot detection configuration retrieved successfully.

bot_detection_level
enum<string>
required

The level of bot detection sensitivity

Available options:
low,
medium,
high
challenge_password_policy
enum<string>
required

The policy that defines how often to show CAPTCHA

Available options:
never,
when_risky,
always
challenge_passwordless_policy
enum<string>
required

The policy that defines how often to show CAPTCHA

Available options:
never,
when_risky,
always
challenge_password_reset_policy
enum<string>
required

The policy that defines how often to show CAPTCHA

Available options:
never,
when_risky,
always
allowlist
(string<ipv4> | string<ipv6> | string<cidr> | string<ipv6_cidr>)[]
required

List of IP addresses or CIDR blocks to allowlist

IPv4 address

monitoring_mode_enabled
boolean
required

Whether monitoring mode is enabled (logs but does not block)